summary refs log tree commit diff
path: root/extra/notify/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-04-30 19:35:40 -0400
committerJune McEnroe <june@causal.agency>2021-04-30 19:35:40 -0400
commit70651e35d84bca8a4acadf9dfec6a58933e70471 (patch)
treeccd19e0caab35a02161803dc3494afa2850e6f3b /extra/notify/configure
parentnotify: Add prospective manual page for pounce-notify (diff)
downloadpounce-70651e35d84bca8a4acadf9dfec6a58933e70471.tar.gz
pounce-70651e35d84bca8a4acadf9dfec6a58933e70471.zip
notify: Implement pounce-notify
Diffstat (limited to 'extra/notify/configure')
-rwxr-xr-xextra/notify/configure44
1 files changed, 44 insertions, 0 deletions
diff --git a/extra/notify/configure b/extra/notify/configure
new file mode 100755
index 0000000..5a4ec45
--- /dev/null
+++ b/extra/notify/configure
@@ -0,0 +1,44 @@
+#!/bin/sh
+set -eu
+
+cflags() {
+	echo "CFLAGS += $*"
+}
+ldlibs() {
+	echo "LDLIBS ${o:-}= $*"
+	o=+
+}
+config() {
+	pkg-config --print-errors "$@"
+	cflags $(pkg-config --cflags "$@")
+	ldlibs $(pkg-config --libs "$@")
+}
+defstr() {
+	cflags "-D'$1=\"$2\"'"
+}
+defvar() {
+	defstr "$1" "$(pkg-config --variable=$3 $2)${4:-}"
+}
+
+exec >config.mk
+
+for opt; do
+	case "${opt}" in
+		(--prefix=*) echo "PREFIX = ${opt#*=}" ;;
+		(--mandir=*) echo "MANDIR = ${opt#*=}" ;;
+		(*) echo "warning: unsupported option ${opt}" >&2 ;;
+	esac
+done
+
+case "$(uname)" in
+	(OpenBSD)
+		ldlibs -ltls
+		;;
+	(Linux)
+		cflags -D_GNU_SOURCE
+		config libtls
+		;;
+	(*)
+		config libtls
+		;;
+esac
398643601a682fbf9&follow=1'>ui-ssdiff: ban strncat()Christian Hesse 2019-06-05global: make 'char *path' const where possibleChristian Hesse 2019-05-20ui-shared: restrict to 15 levelsJason A. Donenfeld 2019-02-23ui-diff,ui-tag: don't use htmlf with non-formatted stringsChris Mayo 2019-02-23ui-ssdiff: resolve HTML5 validation errorsChris Mayo 2019-01-03filters: migrate from luacrypto to luaosslJason A. Donenfeld 2019-01-02ui-shared: fix broken sizeof in title setting and rewriteJason A. Donenfeld 2018-12-09git: update to v2.20.0Christian Hesse 2018-11-25ui-blame: set repo for sbJason A. Donenfeld 2018-11-25auth-filter: pass url with query string attachedJason A. Donenfeld 2018-11-21git: use xz compressed archive for downloadChristian Hesse 2018-10-12git: update to v2.19.1Christian Hesse 2018-09-11ui-ssdiff: ban strcat()Christian Hesse 2018-09-11ui-ssdiff: ban strncpy()Christian Hesse 2018-09-11ui-shared: ban strcat()Christian Hesse 2018-09-11ui-patch: ban sprintf()Christian Hesse 2018-09-11ui-log: ban strncpy()Christian Hesse 2018-09-11ui-log: ban strcpy()Christian Hesse 2018-09-11parsing: ban sprintf()Christian Hesse 2018-09-11parsing: ban strncpy()Christian Hesse 2018-08-28filters: generate anchor links from markdownChristian Hesse 2018-08-03Bump version.Jason A. Donenfeld 2018-08-03clone: fix directory traversalJason A. Donenfeld 2018-08-03config: record repo.snapshot-prefix in the per-repo configKonstantin Ryabitsev